Attribute VB_Name = "mdlGUIControl"
Global floorLocation(4) As Integer
Global floorSize As Integer

Public Sub moveElevator(elevator As Integer, direction As Integer)
' move elevator 1 (left) or 2 (right) up (1) or down (0)
' each step is half the floor distance

'calculate new top (vertical position)
If direction = 1 Then
    newTop = frmSimulation.picElevator(elevator).Top - floorSize
ElseIf direction = 0 Then
    newTop = frmSimulation.picElevator(elevator).Top + floorSize
End If

'validate location (not out of bounds)
If newTop > floorLocation(0) Then
    newTop = floorLocation(0)
End If
If newTop < floorLocation(4) Then
   newTop = floorLocation(4)
End If

'set location
If direction = 0 Then
    frmSimulation.picElevator(elevator).Visible = False
    frmSimulation.picElevator(elevator).Top = newTop
    frmSimulation.picElevatorDown(elevator).Top = newTop
    frmSimulation.picElevatorDown(elevator).Visible = True
    frmSimulation.picElevator(elevator).Visible = False
Else
    frmSimulation.picElevatorDown(elevator).Visible = False
    frmSimulation.picElevator(elevator).Top = newTop
    frmSimulation.picElevatorDown(elevator).Top = newTop
    frmSimulation.picElevator(elevator).Visible = True
    frmSimulation.picElevatorDown(elevator).Visible = False
End If

End Sub

Public Sub setNumberOfUpgoingPeople(floor As Integer, number As Integer)
' set the number of people waiting to take a upgoing elevator
' in a certain floor.

frmSimulation.lblUpCount(floor).Caption = "Up Going: " & number

End Sub

Public Sub setNumberOfDowngoingPeople(floor As Integer, number As Integer)
' set the number of people waiting to take a downgoing elevator
' in a certain floor.

frmSimulation.lblDownCount(floor).Caption = "Down Going: " & number

End Sub

